SUBSYS_VIRTUAL_REGIS(9)

NAME
subsys_virtual_register - register a subsystem at /sys/devices/virtual/

SYNOPSIS

int subsys_virtual_register(struct bus_type * subsys, const struct attribute_group ** groups);

ARGUMENTS

subsys
    virtual subsystem

groups
    default attributes for the root device

DESCRIPTION

All 'virtual' subsystems have a /sys/devices/system/<name> root device with the name of the subystem. The root device can carry subsystem-wide attributes. All registered devices are below this single root device. There's no restriction on device naming. This is for kernel software constructs which need sysfs interface.

COPYRIGHT